# Redland RDF Application Framework - Perl RDF::Redland::Serializer Class

## NAME

RDF::Redland::Serializer - Redland RDF Serializing to Syntax Class

## SYNOPSIS

      use RDF::Redland;

      ...
      my $serializer=new RDF::Redland::Serializer("ntriples");

      $serializer->serialize_model_to_file("foo.rdf", $base_uri, $model);

## DESCRIPTION

This class represents serializers that turn RDF graphs into various syntaxes. from an RDF::Redland::Model object.

## CONSTRUCTORS

new [NAME [MIME_TYPE [URI]]]
  Create a new RDF::Redland::Serializer object for a syntax serializer named NAME, with MIME Type MIME_TYPE and/or URI URI. Any field can be undef or omitted; if all are omitted, a random serializer will be requested.

## METHODS

serialize_model_to_file FILENAME BASE_URI MODEL
  Serialize the RDF Graph MODEL as syntax with the base RDF::Redland::URI BASE_URI to file FILENAME.
feature URI [VALUE]
  Get/set a serializer feature. The feature is named via RDF::Redland::URI URI and the value is a string. If VALUE is given, the feature is set to that value, otherwise the current value is returned.

## SEE ALSO

the RDF::Redland::Parser manpage, the RDF::Redland::URI manpage

## AUTHOR

Dave Beckett - http://purl.org/net/dajobe/

Copyright 2000-2004 Dave Beckett, Institute for Learning and Research Technology, University of Bristol